<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengajuan_wisudas', function (Blueprint $table) {
            $table->id();
            $table->string('caseid')->default('-');
            $table->foreignId('mahasiswas_id')->constrained();
            $table->string('ttd_operator')->default('-');
            $table->string('ttd_dpu')->default('-');
            $table->string('ttd_dpa')->default('-');
            $table->string('ttd_penguji1')->default('-');
            $table->string('ttd_penguji2')->default('-');
            $table->string('ttd_kalab_farmasi_klinik_dan_komunitas')->default('-');
            $table->string('ttd_kalab_farmakologi_dan_hewan_coba')->default('-');
            $table->string('ttd_kalab_farmakognosi_dan_fitokimia')->default('-');
            $table->string('ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi')->default('-');
            $table->string('ttd_kalab_farmasetika')->default('-');
            $table->string('ttd_kalab_teknologi_farmasi')->default('-');
            $table->string('ttd_kalab_kimia_analisis')->default('-');
            $table->string('ttd_kalab_kimia_medisinal')->default('-');
            $table->string('ttd_ruang_baca')->default('-');
            $table->string('ttd_skpi')->default('-');
            $table->string('ttd_wakil_dekan_1')->default('-');
            $table->string('bukti_spp')->default('-');
            $table->string('bukti_kkn')->default('-');
            $table->string('bukti_skripsi')->default('-');
            $table->string('bukti_toefl')->default('-');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengajuan_wisudas');
    }
};
